@extends ('layouts.patient')

@section('section-title')
    Patient Dashboard
@endsection

@section('inner-content')
    <div>
        <h1>Sample info line moe</h1>
        <div moe>
            <form show url="/api/clientInfoLine/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="category" value="" value="" placeholder="category"><br>
                <input type="text" name="contentText" placeholder="content text"><br>
                <input type="text" name="whatDoesTheFoxSay" placeholder="What does the fox say?"><br>
                <button submit>Submit</button>
            </form>
        </div>
    </div>

    <div>
        <h1>Sample measurement moe</h1>
        <div moe>
            <form show url="/api/measurement/create">
                <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                <input type="text" name="label" value="" value="" placeholder="label"><br>
                <input type="text" name="value" placeholder="value"><br>
                <input type="date" name="effectiveDate" placeholder="value"><br>
                <input type="text" name="memo" placeholder="memo"><br>
                <button submit>Submit</button>
            </form>
        </div>
        <div>
            <h1>Measurements</h1>
            <?php $measurements = json_decode($patient->latest_measurements);?>
            <table class="table table-striped table-sm">
                <thead>
                <tr>
                    <th>Label</th>
                    <th>Value</th>
                    <th>Effective date</th>
                    <th>Memo</th>
                </tr>
                </thead>
                <tbody>
                {{--@foreach ($measurements as $label => $data)
                    <tr>
                        <td>{{$label}}</td>
                        <td>{{$data->value}}</td>
                        <td>{{$data->effectiveDate}}</td>
                        <td>{{$data->memo}}</td>
                    </tr>
                @endforeach--}}

                </tbody>
            </table>
        </div>


        {{-- CARE PLAN START --}}
        <?php $infoLines = json_decode($patient->info_lines);?>
        <?php $infoLines = !$infoLines ? [] : $infoLines; ?>

        <hr class="my-4 m-negator">

        {{-- rx --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Current Medications</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="rx">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Medication"></div>
                        {{--<div class="mb-2"><input type="text" name="customField" value="" placeholder="Custom Field"></div>--}}
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">Medication</th>
                    {{--<th class="px-2 text-secondary">Content Detail</th>--}}
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "rx")
                    @foreach ($lines as $line)
                        <tr>
                            {{--<td class="px-2">{{$category}}</td>--}}
                            <td class="px-2">{{$line->contentText}}</td>
                            {{--<td class="px-2"><pre><?php print_r($line->contentDetail) ?></pre></td>--}}
                            <td class="px-2 text-center delete-column">
                                <div moe relative>
                                    <a start show><i class="fa fa-trash text-danger"></i></a>
                                    <form url="/api/clientInfoLine/remove" right>
                                        <input type="hidden" name="uid" value="{{ $line->uid }}">
                                        <p class="small">Are you sure you want to delete this entry?</p>
                                        <div class="d-flex align-items-center">
                                            <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- dx --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Dx &amp; Focus Areas</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="dx">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Title"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="ICD" value="" placeholder="ICD"></div>
                        <div class="mb-2">
                            <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                                <option>Chronic or Acute (select one)</option>
                                <option value="Chronic">Chronic</option>
                                <option value="Acute">Acute</option>
                            </select>
                        </div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Prognosis" value="" placeholder="Prognosis"></div>
                        <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value="" placeholder="Treatment Goal"></textarea></div>
                        <div class="mb-2"><textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" placeholder="Treatment Plan"></textarea></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">Title</th>
                    <th class="px-2 text-secondary">ICD</th>
                    <th class="px-2 text-secondary">Chronic or Acute</th>
                    <th class="px-2 text-secondary">Prognosis</th>
                    <th class="px-2 text-secondary">Treatment Goal</th>
                    <th class="px-2 text-secondary">Treatment Plan</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "dx")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2">{{ $line->contentDetail->{"ICD"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Chronic or Acute"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Prognosis"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Treatment Goal"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Treatment Plan"} }}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- care_team --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Care Team</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="care_team">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Name"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Specialty" value="" placeholder="Specialty"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Organization" value="" placeholder="Organization"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Phone" value="" placeholder="Phone"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Fax" value="" placeholder="Fax"></div>
                        <div class="mb-2"><input type="date" class="form-control form-control-sm" name="Next Appointment" value="" placeholder="Next Appointment"></div>
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="Memo" value="" placeholder="Memo"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">Name</th>
                    <th class="px-2 text-secondary">Specialty</th>
                    <th class="px-2 text-secondary">Organization</th>
                    <th class="px-2 text-secondary">Phone</th>
                    <th class="px-2 text-secondary">Fax</th>
                    <th class="px-2 text-secondary">Next Appointment</th>
                    <th class="px-2 text-secondary">Memo</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "care_team")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Specialty"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Organization"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Phone"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Fax"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Next Appointment"} }}</td>
                                <td class="px-2">{{ $line->contentDetail->{"Memo"} }}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        <hr class="my-4 m-negator">

        {{-- history_medical --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Medical History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_medical">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_medical")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_surgical --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Surgical History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_surgical">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_surgical")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_family --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Family History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_family">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_family")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_social --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Social History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_social">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_social")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_ob_and_preg --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">OB & Pregnancy History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_ob_and_preg">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_ob_and_preg")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_hospitalizations_procedures --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Hospitalizations / Procedures History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_hospitalizations_procedures">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_hospitalizations_procedures")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_screenings --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Screenings History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_screenings">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_screenings")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_colonoscopy --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Colonoscopy History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_colonoscopy">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_colonoscopy")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

        {{-- history_mammogram --}}
        <div class="mt-4">
            <div class="d-flex align-items-center pb-2">
                <h6 class="mr-3 my-0 font-weight-bold">Mammogram History</h6>
                <div moe>
                    <a start show class="btn btn-sm btn-primary py-0">+ Add</a>
                    <form url="/api/clientInfoLine/create">
                        <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                        <input type="hidden" name="category" value="history_mammogram">
                        <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="History"></div>
                        <div class="d-flex align-items-center">
                            <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                            <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
            </div>
            <table class="table table-striped table-sm table-bordered">
                <thead>
                <tr>
                    {{--<th class="px-2 text-secondary">Category</th>--}}
                    <th class="px-2 text-secondary">History</th>
                    <th class="px-2 text-secondary delete-column">&nbsp;</th>
                </tr>
                </thead>
                <tbody>
                @foreach($infoLines as $category => $lines)
                    @if($category === "history_mammogram")
                        @foreach ($lines as $line)
                            <tr>
                                {{--<td class="px-2">{{$category}}</td>--}}
                                <td class="px-2">{{$line->contentText}}</td>
                                <td class="px-2 text-center delete-column">
                                    <div moe relative>
                                        <a start show><i class="fa fa-trash text-danger"></i></a>
                                        <form url="/api/clientInfoLine/remove" right>
                                            <input type="hidden" name="uid" value="{{ $line->uid }}">
                                            <p class="small">Are you sure you want to delete this entry?</p>
                                            <div class="d-flex align-items-center">
                                                <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                            </div>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                @endforeach
                </tbody>
            </table>
        </div>

    </div>
    <pre class="mt-5 pt-5">
        CARE PLAN: [edit]

            Current Medications:

            Dx & Focus Areas:

                Title | ICD | Chronic or Acute | Prognosis | Treatment Goal | Treatment Plan

            Care Team:

                Name | Specialty | Organization | Phone | Fax | Next Appointment | Memo

            Recent Measurements:

                Vitals:

                    BP: 120 / 80
                    HR: 100 bpm
                    Temp: 103.0 F
                    RR: 39 rpm
                    Ht: 5' 10"
                    Wt: 230 lbs
                    BMI: 33
                    SpO2: 3.0%
                    Inhaled O2: 4.0%

                Lab:

                    A1c:
                    LDL:
                    HDL:
                    Trigs:

                Other:

                    ...

            History:

                Medical:
                Surgical:
                Family:
                Social:
                OB & Preg:
                Hospitalizations / Procedures:

			Screenings:
                Colonoscopy:
                Mammogram:
                ...//TODO checklist

        RECENT E&M NOTES:
            # | HCP | Date | Name | DOB | Title | Bill(s)
    </pre>
@endsection
